LibreOffice: EllipseShape Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Included Services | Public Attributes | List of all members
EllipseShape Service Referencepublished

This service is for an ellipse or circle shape. More...

`import"EllipseShape.idl";`

Inheritance diagram for EllipseShape:

## Included Services
service | com::sun::star::drawing::Shape
service | com::sun::star::drawing::LineProperties
service | com::sun::star::drawing::FillProperties
service | com::sun::star::drawing::Text
service | com::sun::star::drawing::ShadowProperties
service | com::sun::star::drawing::RotationDescriptor
Included Services inherited from Text
service | com::sun::star::drawing::TextProperties
| The properties in this service describe the style for rendering a shapes text area. More...
Included Services inherited from TextProperties
service | com::sun::star::style::CharacterProperties
| The properties in this service set default formats for text inside the Shape. More...
service | com::sun::star::style::CharacterPropertiesAsian
| The properties in this service set default formats for Asian text inside the Shape. More...
service | com::sun::star::style::CharacterPropertiesComplex
| The properties in this service set default formats for complex text inside the Shape. More...
service | com::sun::star::style::ParagraphProperties
| The properties in this service set default formats for text inside the Shape. More...
service | com::sun::star::style::ParagraphPropertiesAsian
| The properties in this service set default formats for Asian text inside the Shape. More...
service | com::sun::star::style::ParagraphPropertiesComplex
| The properties in this service set default formats for complex text inside the Shape. More...

## Public Attributes
com::sun::star::drawing::CircleKind | CircleKind
| This is the kind of circle. More...
long | CircleStartAngle
| If the kind specifies an open circle, this is the start angle. More...
long | CircleEndAngle
| If the kind specifies an open circle, this is the end angle. More...
Public Attributes inherited from Shape
long | ZOrder
| is used to query or change the ZOrder of this Shape. More...
short | LayerID
| This is the ID of the Layer to which this Shape is attached. More...
string | LayerName
| This is the name of the Layer to which this Shape is attached. More...
boolean | Visible
| If this is `FALSE`, the Shape is not visible on screen outputs. More...
boolean | Printable
| If this is `FALSE`, the Shape is not visible on printer outputs. More...
boolean | MoveProtect
| With this set to `TRUE`, this Shape cannot be moved interactively in the user interface. More...
string | Name
| This is the name of this Shape. More...
boolean | SizeProtect
| With this set to `TRUE`, this Shape may not be sized interactively in the user interface. More...
com::sun::star::style::XStyle | Style
| this property lets you get and set a style for this shape. More...
com::sun::star::drawing::HomogenMatrix3 | Transformation
| this property lets you get and set the transformation matrix for this shape. More...
com::sun::star::container::XNameContainer | ShapeUserDefinedAttributes
| this property stores xml attributes. More...
long | NavigationOrder
| this property stores the navigation order of this shape. More...
string | Hyperlink
| this property lets you get and set a hyperlink for this shape. More...
short | RelativeHeight
| contains the relative height of the object. More...
short | RelativeWidth
| contains the relative width of the object. More...
short | RelativeHeightRelation
| contains the relation of the relative height of the object. More...
short | RelativeWidthRelation
| contains the relation of the relative width of the object. More...
Public Attributes inherited from LineProperties
com::sun::star::drawing::LineStyle | LineStyle
| This property contains the type of the line. More...
com::sun::star::drawing::LineDash | LineDash
| This property contains the dash of the line. More...
string | LineDashName
| This property contains the name of the dash of the line. More...
com::sun::star::util::Color | LineColor
| This property contains the line color. More...
short | LineTransparence
| This property contains the extent of transparency. More...
long | LineWidth
| This property contains the width of the line in 1/100th mm. More...
com::sun::star::drawing::LineJoint | LineJoint
| This property defines the rendering of joints between thick lines. More...
com::sun::star::drawing::LineCap | LineCap
| This property defines the rendering of ends of thick lines. More...
string | LineStartName
| This property contains the name of the line start poly polygon Bezier. More...
string | LineEndName
| This property contains the name of the line end poly polygon Bezier. More...
com::sun::star::drawing::PolyPolygonBezierCoords | LineStart
| This property contains the line start in the form of a poly polygon Bezier. More...
com::sun::star::drawing::PolyPolygonBezierCoords | LineEnd
| This property contains the line end in the form of a poly polygon Bezier. More...
boolean | LineStartCenter
| If this property is `TRUE`, the line will start from the center of the polygon. More...
long | LineStartWidth
| This property contains the width of the line start polygon. More...
boolean | LineEndCenter
| If this property is `TRUE`, the line will end in the center of the polygon. More...
long | LineEndWidth
| This property contains the width of the line end polygon. More...
Public Attributes inherited from FillProperties
FillStyle | FillStyle
| This enumeration selects the style the area will be filled with. More...
com::sun::star::util::Color | FillColor
| If the property FillStyle is set to FillStyle::SOLID, this is the color used. More...
short | FillTransparence
| This is the transparence of the filled area. More...
string | FillTransparenceGradientName
| If a gradient is used for transparency, this is the name of the used transparence gradient style or it is empty. More...
com::sun::star::awt::Gradient | FillTransparenceGradient
| This describes the transparency of the fill area as a gradient. More...
string | FillGradientName
| If the property FillStyle is set to FillStyle::GRADIENT, this is the name of the used fill gradient style. More...
com::sun::star::awt::Gradient | FillGradient
| If the property FillStyle is set to FillStyle::GRADIENT, this describes the gradient used. More...
string | FillHatchName
| If the property FillStyle is set to FillStyle::HATCH, this is the name of the used fill hatch style. More...
Hatch | FillHatch
| If the property FillStyle is set to FillStyle::HATCH, this describes the hatch used. More...
boolean | FillBackground
| if this is `TRUE`, the transparent background of a hatch filled area is drawn in the current background color. More...
string | FillBitmapName
| If the property FillStyle is set to FillStyle::BITMAP, this is the name of the used fill bitmap style. More...
com::sun::star::awt::XBitmap | FillBitmap
| If the property FillStyle is set to FillStyle::BITMAP, this is the bitmap used. More...
string | FillBitmapURL
| If the property FillStyle is set to FillStyle::BITMAP, this is a URL to the bitmap used. More...
short | FillBitmapPositionOffsetX
| This is the horizontal offset where the tile starts. More...
short | FillBitmapPositionOffsetY
| This is the vertical offset where the tile starts. More...
short | FillBitmapOffsetX
| Every second line of tiles is moved the given percent of the width of the bitmap. More...
short | FillBitmapOffsetY
| Every second row of tiles is moved the given percent of the height of the bitmap. More...
RectanglePoint | FillBitmapRectanglePoint
| The RectanglePoint specifies the position inside of the bitmap to use as the top left position for rendering. More...
boolean | FillBitmapLogicalSize
| specifies if the size is given in percentage or as an absolute value. More...
long | FillBitmapSizeX
| This is the width of the tile for filling. More...
long | FillBitmapSizeY
| This is the height of the tile for filling. More...
BitmapMode | FillBitmapMode
| this enum selects how an area is filled with a single bitmap. More...
boolean | FillBitmapStretch
| if set, the fill bitmap is stretched to fill the area of the shape. More...
boolean | FillBitmapTile
| if set, the fill bitmap is repeated to fill the area of the shape. More...
com::sun::star::text::GraphicCrop | GraphicCrop
| contains the cropping of the object. More...
Public Attributes inherited from TextProperties
boolean | IsNumbering
| If this is `TRUE`, numbering is ON for the text of this Shape. More...
com::sun::star::container::XIndexReplace | NumberingRules
| describes the numbering levels. More...
boolean | TextAutoGrowHeight
| If this value is `TRUE`, the height of the Shape is automatically expanded/shrunk when text is added to or removed from the Shape. More...
boolean | TextAutoGrowWidth
| If this value is `TRUE`, the width of the Shape is automatically expanded/shrunk when text is added to or removed from the Shape. More...
boolean | TextContourFrame
| If this value is `TRUE`, the left edge of every line of text is aligned with the left edge of this Shape. More...
com::sun::star::drawing::TextFitToSizeType | TextFitToSize
| With this set to a value other than `NONE`, the text inside of the Shape is stretched or scaled to fit into the Shape. More...
com::sun::star::drawing::TextHorizontalAdjust | TextHorizontalAdjust
| adjusts the horizontal position of the text inside of the Shape. More...
com::sun::star::drawing::TextVerticalAdjust | TextVerticalAdjust
| adjusts the vertical position of the text inside of the Shape. More...
long | TextLeftDistance
| This is the distance from the left edge of the Shape to the left edge of the text. More...
long | TextRightDistance
| This is the distance from the right edge of the Shape to the right edge of the text. More...
long | TextUpperDistance
| This is the distance from the upper edge of the Shape to the upper edge of the text. More...
long | TextLowerDistance
| This is the distance from the lower edge of the Shape to the lower edge of the text. More...
long | TextMaximumFrameHeight
| with this property you can set the maximum height for a shape with text. More...
long | TextMaximumFrameWidth
| with this property you can set the maximum width for a shape with text. More...
long | TextMinimumFrameHeight
| with this property you can set the minimum height for a shape with text. More...
long | TextMinimumFrameWidth
| with this property you can set the minimum width for a shape with text. More...
short | TextAnimationAmount
| This is the number of pixels the text is moved in each animation step. More...
short | TextAnimationCount
| This number defines how many times the text animation is repeated. More...
short | TextAnimationDelay
| This is the delay in thousandths of a second between each of the animation steps. More...
com::sun::star::drawing::TextAnimationDirection | TextAnimationDirection
| This enumeration defines the direction in which the text moves. More...
com::sun::star::drawing::TextAnimationKind | TextAnimationKind
| This value defines the type of animation. More...
boolean | TextAnimationStartInside
| If this value is `TRUE`, the text is visible at the start of the animation. More...
boolean | TextAnimationStopInside
| If this value is `TRUE`, the text is visible at the end of the animation. More...
::com::sun::star::text::WritingMode | TextWritingMode
| This value selects the writing mode for the text. More...
::com::sun::star::text::XTextColumns | TextColumns
| Column layout properties for the text. More...
Public Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style. More...
string | CharFontStyleName
| This property contains the name of the font style. More...
short | CharFontFamily
| This property contains font family. More...
short | CharFontCharSet
| This property contains the text encoding of the font. More...
short | CharFontPitch
| This property contains the font pitch. More...
com::sun::star::util::Color | CharColor
| This property contains the value of the text color. More...
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters. More...
float | CharHeight
| This value contains the height of the characters in point. More...
short | CharUnderline
| This property contains the value for the character underline. More...
float | CharWeight
| This property contains the value of the font weight. More...
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document. More...
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used. More...
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color. More...
long | CharShadingValue
| This optional property contains the text shading value. More...
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent. More...
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying. More...
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out. More...
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing. More...
short | CharStrikeout
| This property determines the type of the strike out of the character. More...
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces. More...
short | CharKerning
| This optional property contains the value of the kerning of the characters. More...
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale. More...
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines. More...
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area. More...
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect. More...
short | CharFontType
| This optional property specifies the fundamental technology of the font. More...
string | CharStyleName
| This optional property specifies the name of the style of the font. More...
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect. More...
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines. More...
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines. More...
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines. More...
short | CharEmphasis
| This optional property contains the font emphasis value. More...
short | CharRelief
| This optional property contains the relief style of the characters. More...
string | RubyText
| This optional property contains the text that is set as ruby. More...
short | RubyAdjust
| This optional property determines the adjustment of the ruby . More...
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText. More...
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text. More...
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree. More...
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height. More...
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters. More...
string | HyperLinkURL
| This optional property contains the URL of a hyperlink. More...
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink. More...
string | HyperLinkName
| This optional property contains the name of the hyperlink. More...
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks. More...
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks. More...
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent. More...
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character. More...
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters. More...
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline. More...
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible. More...
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes. More...
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object. More...
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object. More...
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object. More...
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object. More...
long | CharBorderDistance
| This property contains the distance from the border to the object. More...
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object. More...
long | CharRightBorderDistance
| This property contains the distance from the right border to the object. More...
long | CharTopBorderDistance
| This property contains the distance from the top border to the object. More...
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object. More...
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow. More...
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight. More...
short | RubyPosition
| This optional property determines the position of the ruby . More...
short | CharTransparence
| This is the transparency of the character text. More...
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme. More...
short | CharColorTintOrShade
| Tint or shade of the character color. More...
Public Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph. More...
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph. More...
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color. More...
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent. More...
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph. More...
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph. More...
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic. More...
short | ParaLastLineAdjust
| determines the adjustment of the last line. More...
boolean | ParaExpandSingleWord
| determines if single words are stretched. More...
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm. More...
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm. More...
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm. More...
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm. More...
boolean | ParaContextMargin
| determines if contextual spacing is used. More...
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering. More...
long | ParaLineNumberStartValue
| contains the start value for the line numbering. More...
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use. More...
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number. More...
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph. More...
string | ParaStyleName
| contains the name of the current paragraph style. More...
string | PageStyleName
| contains the name of the current page style. More...
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted. More...
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word. More...
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph. More...
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns. More...
short | NumberingLevel
| specifies the numbering level of the paragraph. More...
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph. More...
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph. More...
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph. More...
string | NumberingStyleName
| specifies the name of the style for the numbering. More...
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page. More...
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page. More...
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow. More...
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object. More...
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object. More...
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object. More...
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object. More...
long | BorderDistance
| contains the distance from the border to the object. More...
long | LeftBorderDistance
| contains the distance from the left border to the object. More...
long | RightBorderDistance
| contains the distance from the right border to the object. More...
long | TopBorderDistance
| contains the distance from the top border to the object. More...
long | BottomBorderDistance
| contains the distance from the bottom border to the object. More...
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table. More...
string | DropCapCharStyleName
| specifies the character style name for drop caps. More...
long | ParaFirstLineIndent
| specifies the indent for the first line. More...
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically. More...
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied. More...
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens. More...
short | ParaHyphenationMaxLeadingChars
| specifies the minimum number of characters to remain before the hyphen character (when hyphenation is applied). More...
short | ParaHyphenationMaxTrailingChars
| specifies the minimum number of characters to remain after the hyphen character (when hyphenation is applied). More...
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph. More...
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes. More...
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label. More...
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph. More...
string | ListId
| specifies the id of the list to which the paragraph belongs More...
short | OutlineLevel
| specifies the outline level to which the paragraph belongs More...
com::sun::star::graphic::XGraphic | ParaBackGraphic
| contains the graphic for the background of a paragraph. More...
boolean | ContinueingPreviousSubTree
| specifies that a child node of a parent node that is not counted is continuing the numbering of parent's previous node's sub tree. More...
string | ListLabelString
| allows reading the generated numbering list label. More...
boolean | ParaHyphenationNoCaps
| Specifies whether words written in CAPS will be hyphenated. More...
Public Attributes inherited from ShadowProperties
boolean | Shadow
| enables/disables the shadow of a Shape. More...
com::sun::star::util::Color | ShadowColor
| This is the color of the shadow of this Shape. More...
short | ShadowTransparence
| This defines the degree of transparence of the shadow in percent. More...
long | ShadowXDistance
| This is the horizontal distance of the left edge of the Shape to the shadow. More...
long | ShadowYDistance
| This is the vertical distance of the top edge of the Shape to the shadow. More...
long | ShadowBlur
| This defines the degree of blur of the shadow in points. More...
Public Attributes inherited from RotationDescriptor
long | RotateAngle
| This is the angle for rotation of this Shape. More...
long | ShearAngle
| This is the amount of shearing for this Shape. More...

## Additional Inherited Members
Public Types inherited from Shape
typedef sequence< com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of shape properties, used as a string-any map for interim interop purposes. More...
Public Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font. More...
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes. More...
Public Types inherited from ParagraphProperties
typedef sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes. More...
typedef sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph. More...
Exported Interfaces inherited from Shape
interface | com::sun::star::beans::XPropertySet
| handles all the properties of this instance. More...
interface | com::sun::star::drawing::XShape
| This gives you the size and position of this Shape and lets you change it. More...
interface | com::sun::star::lang::XComponent
| is used for lifetime control of this Shape. More...
interface | com::sun::star::drawing::XShapeDescriptor
| The XShapeDescriptor tells you what kind of Shape this instance is. More...
interface | com::sun::star::drawing::XGluePointsSupplier
| This interfaces gives access to an optional container of gluepoints. More...
interface | com::sun::star::beans::XTolerantMultiPropertySet
Exported Interfaces inherited from Text
interface | com::sun::star::text::XText
| With this interface you can modify the text of this Shape. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XText
void | insertTextContent ([in] com::sun::star::text::XTextRange xRange, [in] com::sun::star::text::XTextContent xContent, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a content, such as a text table, text frame or text field. More...
void | removeTextContent ([in] com::sun::star::text::XTextContent xContent) raises ( com::sun::star::container::NoSuchElementException )
| removes the specified content from the text object. More...
Public Member Functions inherited from XSimpleText
com::sun::star::text::XTextCursor | createTextCursor ()
com::sun::star::text::XTextCursor | createTextCursorByRange ([in] com::sun::star::text::XTextRange aTextPosition)
void | insertString ([in] com::sun::star::text::XTextRange xRange, [in] string aString, [in] boolean bAbsorb)
| inserts a string of characters into the text. More...
void | insertControlCharacter ([in] com::sun::star::text::XTextRange xRange, [in] short nControlCharacter, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a control character (like a paragraph break or a hard space) into the text. More...
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced. More...
Protected Types inherited from ParagraphProperties
typedef sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes. More...
typedef sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph. More...
Protected Member Functions inherited from XGluePointsSupplier
com::sun::star::container::XIndexContainer | getGluePoints ()
Protected Member Functions inherited from XTolerantMultiPropertySet
sequence< com::sun::star::beans::SetPropertyTolerantFailed > | setPropertyValuesTolerant ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the values to the properties with the specified names. More...
sequence< com::sun::star::beans::GetPropertyTolerantResult > | getPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve the values of the specified properties More...
sequence< com::sun::star::beans::GetDirectPropertyTolerantResult > | getDirectPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve only those values of the specified properties which are direct values. More...
Protected Attributes inherited from CharacterPropertiesAsian
float | CharHeightAsian
| This value contains the height of the characters in point. More...
float | CharWeightAsian
| This property contains the value of the font weight. More...
string | CharFontNameAsian
| This property specifies the name of the font style. More...
string | CharFontStyleNameAsian
| This property contains the name of the font style. More...
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale. More...
Protected Attributes inherited from CharacterPropertiesComplex
float | CharHeightComplex
| This value contains the height of the characters in point. More...
float | CharWeightComplex
| This property contains the value of the font weight. More...
string | CharFontNameComplex
| This property specifies the name of the font style. More...
string | CharFontStyleNameComplex
| This property contains the name of the font style. More...
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale. More...
Protected Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph. More...
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph. More...
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color. More...
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent. More...
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph. More...
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph. More...
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic. More...
short | ParaLastLineAdjust
| determines the adjustment of the last line. More...
boolean | ParaExpandSingleWord
| determines if single words are stretched. More...
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm. More...
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm. More...
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm. More...
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm. More...
boolean | ParaContextMargin
| determines if contextual spacing is used. More...
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering. More...
long | ParaLineNumberStartValue
| contains the start value for the line numbering. More...
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use. More...
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number. More...
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph. More...
string | ParaStyleName
| contains the name of the current paragraph style. More...
string | PageStyleName
| contains the name of the current page style. More...
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted. More...
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word. More...
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph. More...
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns. More...
short | NumberingLevel
| specifies the numbering level of the paragraph. More...
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph. More...
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph. More...
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph. More...
string | NumberingStyleName
| specifies the name of the style for the numbering. More...
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page. More...
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page. More...
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow. More...
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object. More...
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object. More...
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object. More...
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object. More...
long | BorderDistance
| contains the distance from the border to the object. More...
long | LeftBorderDistance
| contains the distance from the left border to the object. More...
long | RightBorderDistance
| contains the distance from the right border to the object. More...
long | TopBorderDistance
| contains the distance from the top border to the object. More...
long | BottomBorderDistance
| contains the distance from the bottom border to the object. More...
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table. More...
string | DropCapCharStyleName
| specifies the character style name for drop caps. More...
long | ParaFirstLineIndent
| specifies the indent for the first line. More...
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically. More...
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied. More...
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens. More...
short | ParaHyphenationMaxLeadingChars
| specifies the minimum number of characters to remain before the hyphen character (when hyphenation is applied). More...
short | ParaHyphenationMaxTrailingChars
| specifies the minimum number of characters to remain after the hyphen character (when hyphenation is applied). More...
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph. More...
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes. More...
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label. More...
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph. More...
string | ListId
| specifies the id of the list to which the paragraph belongs More...
short | OutlineLevel
| specifies the outline level to which the paragraph belongs More...
com::sun::star::graphic::XGraphic | ParaBackGraphic
| contains the graphic for the background of a paragraph. More...
boolean | ContinueingPreviousSubTree
| specifies that a child node of a parent node that is not counted is continuing the numbering of parent's previous node's sub tree. More...
string | ListLabelString
| allows reading the generated numbering list label. More...
boolean | ParaHyphenationNoCaps
| Specifies whether words written in CAPS will be hyphenated. More...
Protected Attributes inherited from ParagraphPropertiesAsian
boolean | ParaIsHangingPunctuation
| determines if hanging punctuation is allowed. More...
boolean | ParaIsCharacterDistance
| determines if a distance between Asian text, western text or complex text is set. More...
boolean | ParaIsForbiddenRules
| determines if the rules for forbidden characters at the start or end of text lines are considered. More...
Protected Attributes inherited from ParagraphPropertiesComplex
short | WritingMode
| contains the writing direction, as represented by the com::sun::star::text::WritingMode2 constants More...

## Detailed Description

This service is for an ellipse or circle shape.

## Exported Interfaces

## ◆ com::sun::star::drawing::FillProperties

service com::sun::star::drawing::FillProperties

## ◆ com::sun::star::drawing::LineProperties

service com::sun::star::drawing::LineProperties

## ◆ com::sun::star::drawing::RotationDescriptor

service com::sun::star::drawing::RotationDescriptor

## ◆ com::sun::star::drawing::ShadowProperties

service com::sun::star::drawing::ShadowProperties

## ◆ com::sun::star::drawing::Shape

service com::sun::star::drawing::Shape

## ◆ com::sun::star::drawing::Text

service com::sun::star::drawing::Text

## Member Data Documentation

## ◆ CircleEndAngle

long CircleEndAngle
| property

If the kind specifies an open circle, this is the end angle.

## ◆ CircleKind

com::sun::star::drawing::CircleKind CircleKind
| property

This is the kind of circle.

## ◆ CircleStartAngle

long CircleStartAngle
| property

If the kind specifies an open circle, this is the start angle.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/EllipseShape.idl